# Poco::Data

# class AbstractExtractor

Library: Data
Package: DataCore
Header: Poco/Data/AbstractExtractor.h

## Description

Interface used to extract data from a single result row. If an extractor receives null it is not allowed to change val!

## Inheritance

Known Derived Classes: Poco::Data::MySQL::Extractor, Poco::Data::ODBC::Extractor, Poco::Data::SQLite::Extractor

## Member Summary

Member Functions: extract

## Constructors

### AbstractExtractor

AbstractExtractor();

Creates the AbstractExtractor.

## Destructor

### ~AbstractExtractor

virtual ~AbstractExtractor();

Destroys the AbstractExtractor.

## Member Functions

### extract

virtual bool extract(
std::size_t pos,
Poco::Int8 & val
) = 0;

Extracts an Int8. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::UInt8 & val
) = 0;

Extracts an UInt8. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::Int16 & val
) = 0;

Extracts an Int16. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::UInt16 & val
) = 0;

Extracts an UInt16. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::Int32 & val
) = 0;

Extracts an Int32. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::UInt32 & val
) = 0;

Extracts an UInt32. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::Int64 & val
) = 0;

Extracts an Int64. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
Poco::UInt64 & val
) = 0;

Extracts an UInt64. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
bool & val
) = 0;

Extracts a boolean. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
float & val
) = 0;

Extracts a float. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
double & val
) = 0;

Extracts a double. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
char & val
) = 0;

Extracts a single character. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
std::string & val
) = 0;

Extracts a string. Returns false if null was received.

### extract

virtual bool extract(
std::size_t pos,
BLOB & val
) = 0;

Extracts a BLOB. Returns false if null was received.